<?xml version="1.0"?>
<!DOCTYPE window SYSTEM "chrome://livemargins/locale/livemargins.dtd">
<?xml-stylesheet href="chrome://livemargins/skin/player.css" type="text/css"?>

<window id="livemargins_player_window"
		xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
		contenttitlesetting="true"
		windowtype="mozilla:favpart_widget"
		hidechrome="true"
		orient="vertical"
		width="225" height="450"
>
	<script type="application/x-javascript" src="chrome://livemargins/content/windowTools.js"/>
	<script type="application/x-javascript" src="chrome://livemargins/content/dockable.js"/>
	<script type="application/x-javascript" src="chrome://livemargins/content/widget-base.js"/>
	<script src="player.js"/>
	<vbox id="widget-box" flex="1"
		style="min-width: 150px; max-width: none;">
		<hbox id="chrome-title-box" class="frame-title-box">
			<hbox id="left-button-box">
				<hbox id="left-base-button-box">
					<image id="goldeneye-icon" class="channel-icon" src="chrome://livemargins/skin/goldeneye-icon.png"/>
				</hbox>
			</hbox>
			<hbox flex="1">
				<titlebar id="titlebar-space" class="frame-titlebar" flex="1" height="20" minwidth="1">
					<label crop="end" flex="1" id="chromeTitle" class="title-text"/>
				</titlebar>
			</hbox>
			
			<hbox id="right-button-box">
				<toolbarbutton id="ext-button" class="favpart-control-buttons" onclick = "widget.switchExtendedControl();"/>
				<arrowscrollbox orient="horizontal" pack="end" id="extended-button-box" style="display:none;min-width: 30px;" flex="1" chromedir="ltr">
					<toolbarbutton class="favpart-control-buttons" id="bookmark-button" tooltiptext="&bookmark_tooltip;" onclick="widget.toggleBookmark();"></toolbarbutton>
					<toolbarbutton class="favpart-control-buttons" id="titlebar-reload" tooltiptext="&reloadButton;" type="checkbox" autoCheck="false" ondblclick="clearTimeout(window.reloadTimer);widget.switchAutoReload(event);" oncommand = "window.reloadTimer = setTimeout(function(){widget.reload();},400);"/>					
					<toolbarbutton id="modify" class="favpart-control-buttons" tooltiptext="&modifyButton;" onclick = "widget.startModify();"/>
					<toolbarbutton id="returnURL" class="favpart-control-buttons" tooltiptext="&returnURLButton;" onclick = "widget.returnURL();"/>
					<toolbarbutton id="zoomin-button" class="favpart-control-buttons" tooltiptext="&zoominButton;" onclick = "widget.zoomIn();"/>
					<toolbarbutton id="zoomout-button" class="favpart-control-buttons" tooltiptext="&zoomoutButton;" onclick = "widget.zoomOut();"/>
				</arrowscrollbox>
				<toolbarseparator/>
				<toolbarbutton id="ontop-button" class="favpart-control-buttons" tooltiptext="&ontopButton_tooltip_clear;" tooltip_set="&ontopButton_tooltip_set;" tooltip_clear="&ontopButton_tooltip_clear;" onclick = "widget.switchTopMost();"/>
				<!--<toolbarbutton id="transparent" class="favpart-control-buttons" type="checkbox" tooltiptext="&transparentButton;" autoCheck="false" onclick = "widget.switchTransparent();"/>-->
				<toolbarbutton id="favpart-minimize-button" class="favpart-control-buttons" tooltiptext="&minimizeButton;" oncommand="windowTools.minimized=true"/>
				<toolbarbutton id="favpart-close-button" class="favpart-control-buttons" tooltiptext="&closeButton;" oncommand="widget.close();"/>
			</hbox>
		</hbox>
		<browser id="player_browser" autoscroll="false" flex="1" src="chrome://livemargins/content/apps/webclipping/play.xul" type="content" style="overflow:hidden"/>
	</vbox>
	<popupset>
		<panel id="modify-panel" class="msgPanel" flex="1" onmousedown="widget.startMove(event);" onmousemove="widget.moving(event);" onmouseup="widget.endMove(event);" onpopupshown="widget.modifyPanelOpened = true;" onpopuphidden="window.setTimeout(function(){widget.modifyPanelOpened = false;},500);">
			<hbox id="modify-div" width="200px" height="200px">
				<vbox flex="1">
					<spacer flex="1"/>
					<hbox>
						<spacer flex="1"/>
						<image id="resizer" width="12" height="12" src="chrome://livemargins/skin/resizer-bottomright12.png" flex="0"/>
					</hbox>
				</vbox>
			</hbox>
		</panel>
		<panel id="control-panel" class="msgPanel" level="top" flex="1">		
			<hbox id="panel-title-box" class="frame-title-box">
				<hbox id="panel-button-box">
					<image id="bookmark-button" tooltiptext="&bookmarkButton;" onclick="widget.toggleBookmark();"/>
					<toolbarbutton id="controlbar-reload" class="favpart-control-buttons" tooltiptext="&reloadButton;" type="checkbox" autoCheck="false" ondblclick="clearTimeout(window.reloadTimer);widget.switchAutoReload(event);" oncommand = "window.reloadTimer = setTimeout(function(){widget.reload();},400);"/>					
					<toolbarbutton id="modify-panel" class="favpart-control-buttons" tooltiptext="&modifyButton;" onclick = "document.getElementById('control-panel').hidePopup();widget.startModify();"/>
					<toolbarbutton id="returnURL-panel" class="favpart-control-buttons" tooltiptext="&returnURLButton;" onclick = "widget.returnURL();"/>
					<toolbarbutton id="zoomin-button-panel" class="favpart-control-buttons" tooltiptext="&zoominButton;" onclick = "widget.zoomIn();"/>
					<toolbarbutton id="zoomout-button-panel" class="favpart-control-buttons" tooltiptext="&zoomoutButton;" onclick = "widget.zoomOut();"/>
				</hbox>
			</hbox>
		</panel>
	</popupset>
</window>
